org.springframework.web.reactive.function.client

## Class WebClientResponseException.BadRequest

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.web.reactive.function.client.WebClientException
          - - org.springframework.web.reactive.function.client.WebClientResponseException
            - - org.springframework.web.reactive.function.client.WebClientResponseException.BadRequest

All Implemented Interfaces:
  Serializable

Enclosing class:
  WebClientResponseException

    public static class WebClientResponseException.BadRequest
    extends WebClientResponseException

`WebClientResponseException` for status HTTP 400 Bad Request.

Since:
  5.1
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.web.reactive.function.client.WebClientResponseException

`WebClientResponseException.BadGateway, WebClientResponseException.BadRequest, WebClientResponseException.Conflict, WebClientResponseException.Forbidden, WebClientResponseException.GatewayTimeout, WebClientResponseException.Gone, WebClientResponseException.InternalServerError, WebClientResponseException.MethodNotAllowed, WebClientResponseException.NotAcceptable, WebClientResponseException.NotFound, WebClientResponseException.NotImplemented, WebClientResponseException.ServiceUnavailable, WebClientResponseException.TooManyRequests, WebClientResponseException.Unauthorized, WebClientResponseException.UnprocessableEntity, WebClientResponseException.UnsupportedMediaType`

### Method Summary

### Methods inherited from class org.springframework.web.reactive.function.client.WebClientResponseException

`create, create, getHeaders, getRawStatusCode, getRequest, getResponseBodyAsByteArray, getResponseBodyAsString, getStatusCode, getStatusText`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`